      Program BLFtSegs

* Integrates to velocity, fits a series of line segments to
* the velocity, subtracts the slopes of the line segments from the
* acceleration and writes a new, baseline corrected file.

* If constrain = Y, then the line segment between the first two breakpoints
* is constrained to be zero at breakpoint 1.

* If constrain = N, the zero point is solved for by finding the time at which
* the first line segment equals 0.0

* The next line is the first line in a sample control file:
*Control file for program BLFtSegs
*Summary file name:
* blftsegs.sum
*----- controls for a new input file follow this line -------
*SMC acceleration file for which lines will be fit to velocity:
* tstfilea.smc
*Name of SMC output file (input time series, with line segments removed):
* tst559ca
*Constrained fit (Y/N)?
* N
*Number of breakpoints:
* 5
*Breakpoints:
* 10.3
* 12.5
* 22.2
* 23.2
* 45.0
*StoP
  
* Dates: 12/06/00 - Written by D. Boore, based on Bl_Fltr
*        03/11/01 - Use double precision version of rd_calc
*        03/14/01 - Add d0, v0

      external fpoly

      parameter (npc = 5)   ! max order of polynomial plus 1

      character char_head(11)*80, comments(50)*80
      integer int_head(48), option
      
      integer nc, ic_in(npc)
      real c(npc),covar(npc,npc)  ! allows up to npc-1 order polynomial fit
      real pd(3)            ! allows up to 2 derivatives of the poly fit
      real real_head(50)
      real a_in(100000)
      real a_bl(100000), a_out(100000)
      real v_out(100000), d_out(100000)
      real x(100000), y(100000), sig(100000)
      real time(100000)
      double precision avg
      character f_ctl*40, f_sum*40, f_in*40 
      character f_stem*40, f_a*40, f_v*40, f_d*40, f_rs*40, buf_c*79
      logical f_ctl_exist, rmv_trnd, zero_intercept
      real rd(5), damp(5), period(200)
      real omega
      character header(16)*12, damp_c*2

      twopi = 2.0*4.0*atan(1.)
***WORK IN PROGRESS***